Testers Needed

Discussion in 'Wii - Emulation and Homebrew' started by wiisixtyfour, Aug 4, 2012.

  1. wiisixtyfour
    OP

    wiisixtyfour GBAtemp Regular

    Member
    102
    10
    Feb 28, 2011
    United States
    CA
    I have updated tona's AnyRegion Changer to use AHBPROT so it will work on newer unmodified Wii's. I haven't been able to fully test it yet but changing the settings works for me. I'm not sure about installing the System Menu but I can do my own tests later. I was just hoping to get some others to test it and see if there's anything that doesn't work right. Of course if you're using this it's highly recommended that you have BootMii as boot2. This program is dangerous.

    Download here: ARC-test.zip

    Warning: Spoilers inside!
     
  2. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,954
    3,739
    Apr 2, 2011
    United States
    The Twilight Zone
    What do you mean "so it will work on new Wii's"? A cIOS works fine on all Wii's. Since you are messing with region settings, you would be much safer having it install 4.1 instead of 4.3.
     
  3. wiisixtyfour
    OP

    wiisixtyfour GBAtemp Regular

    Member
    102
    10
    Feb 28, 2011
    United States
    CA
    So it will work on unmodified Wii's rather. Not everyone uses cIOSes and this works without one. You're right it should install 4.1 instead, that's an easy fix. The reason I had it at 4.3 was because I was using my own Wii to test.
     
  4. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,954
    3,739
    Apr 2, 2011
    United States
    The Twilight Zone
    To use AHBPROT, you have to have the HBC installed, and modifying region settings will modify the Wii to the point where the warranty is void.
     
  5. wiisixtyfour
    OP

    wiisixtyfour GBAtemp Regular

    Member
    102
    10
    Feb 28, 2011
    United States
    CA
    By unmodified I mean a Wii with unmodified IOSes; no cIOSes and no downgrading IOS36. Yes you need the HBC at the bare minimum.
     
  6. Taleweaver

    Taleweaver Storywriter

    Member
    5,569
    1,619
    Dec 23, 2009
    Belgium
    Belgium
    I think it'll be pretty hard to find testers. Or people that would actually use the program.

    You have those who do not want to hack their wii, but they don't want to install the HBC (or void their warranty, which is the same thing).
    Those that do want to hack their wii will install cIOS'es anyway. And probably priiloader as well, of which the region free hack pretty much negates the use of any region changer to begin with.


    That won't leave many people. Don't get me wrong...I can see how your version of anyregion changer is better than tona's original version...but I cannot see why anyone would still use it (the original or your version) to begin with. :unsure:
     
  7. wiisixtyfour
    OP

    wiisixtyfour GBAtemp Regular

    Member
    102
    10
    Feb 28, 2011
    United States
    CA
    Well not everyone installs cIOSes and it's easier just to make it use AHBPROT so anyone with the HBC can use it.
    I mainly did this for myself, I'm just learning to code and I just wanted to see if I could do it. It also bugged me personally that anyregion changer was never updated for newer system menus.
    I know there's not too much of a demand for it but I'm sure it would be useful for some people.
     
  8. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,954
    3,739
    Apr 2, 2011
    United States
    The Twilight Zone
    I can understand that, and the frustration of trying to find testers. If I get time, I'll test for you.
     
  9. wiisixtyfour
    OP

    wiisixtyfour GBAtemp Regular

    Member
    102
    10
    Feb 28, 2011
    United States
    CA
    After my own testing I had to change the way the running IOS is patched but it seems to work now. The only thing is that installing a System Menu will not work yet. I'm working on that now.
     
  10. Excelsiior

    Excelsiior GBAtemp Regular

    Member
    258
    95
    Sep 13, 2009
    Gambia, The
    IOS58 can't downgrade other IOS' I guess it also can't downgrade SM. So your likely better off using IOS236 or a real cIOS. I experienced this misbehaviour with Dop-Mii and a HW_AHBPROT-enabled FS Toolbox.
     
  11. wiisixtyfour
    OP

    wiisixtyfour GBAtemp Regular

    Member
    102
    10
    Feb 28, 2011
    United States
    CA
    Yeah I will do my own testing, I think I can just use the temp ios code that's already there